Skip to main content
summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorSteffen Pingel2013-03-31 16:24:17 -0400
committerSteffen Pingel2013-03-31 16:24:17 -0400
commit4fab82832b62aba26c4416885174adbfd4c68596 (patch)
tree51e2dec4e559acc8ce00d37b312701105766e8bb /org.eclipse.mylyn.oslc.core
parentf11aacee899077bbcdcce2305469e2134175aa04 (diff)
downloadorg.eclipse.mylyn.tasks-4fab82832b62aba26c4416885174adbfd4c68596.tar.gz
org.eclipse.mylyn.tasks-4fab82832b62aba26c4416885174adbfd4c68596.tar.xz
org.eclipse.mylyn.tasks-4fab82832b62aba26c4416885174adbfd4c68596.zip
383907: change minimum required JRE to 1.6
Change-Id: I8f176fc34a0be19b39eb09454db3b373f2284ef6 Task-Url: https://bugs.eclipse.org/bugs/show_bug.cgi?id=383907
Diffstat (limited to 'org.eclipse.mylyn.oslc.core')
-rw-r--r--org.eclipse.mylyn.oslc.core/.classpath2
-rw-r--r--org.eclipse.mylyn.oslc.core/.settings/org.eclipse.jdt.core.prefs4
-rw-r--r--org.eclipse.mylyn.oslc.core/META-INF/MANIFEST.MF2
3 files changed, 4 insertions, 4 deletions
diff --git a/org.eclipse.mylyn.oslc.core/.classpath b/org.eclipse.mylyn.oslc.core/.classpath
index 64c5e31b7..ad32c83a7 100644
--- a/org.eclipse.mylyn.oslc.core/.classpath
+++ b/org.eclipse.mylyn.oslc.core/.classpath
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<classpath>
- <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/J2SE-1.5"/>
+ <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
<classpathentry kind="src" path="src"/>
<classpathentry kind="output" path="bin"/>
diff --git a/org.eclipse.mylyn.oslc.core/.settings/org.eclipse.jdt.core.prefs b/org.eclipse.mylyn.oslc.core/.settings/org.eclipse.jdt.core.prefs
index 8e95137ad..e958f3a6d 100644
--- a/org.eclipse.mylyn.oslc.core/.settings/org.eclipse.jdt.core.prefs
+++ b/org.eclipse.mylyn.oslc.core/.settings/org.eclipse.jdt.core.prefs
@@ -9,9 +9,9 @@ org.eclipse.jdt.core.codeComplete.localSuffixes=
org.eclipse.jdt.core.codeComplete.staticFieldPrefixes=
org.eclipse.jdt.core.codeComplete.staticFieldSuffixes=
org.eclipse.jdt.core.compiler.codegen.inlineJsrBytecode=enabled
-org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.5
+org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.6
org.eclipse.jdt.core.compiler.codegen.unusedLocal=preserve
-org.eclipse.jdt.core.compiler.compliance=1.5
+org.eclipse.jdt.core.compiler.compliance=1.6
org.eclipse.jdt.core.compiler.debug.lineNumber=generate
org.eclipse.jdt.core.compiler.debug.localVariable=generate
org.eclipse.jdt.core.compiler.debug.sourceFile=generate
diff --git a/org.eclipse.mylyn.oslc.core/META-INF/MANIFEST.MF b/org.eclipse.mylyn.oslc.core/META-INF/MANIFEST.MF
index 17444f8bb..e7efcf1ef 100644
--- a/org.eclipse.mylyn.oslc.core/META-INF/MANIFEST.MF
+++ b/org.eclipse.mylyn.oslc.core/META-INF/MANIFEST.MF
@@ -9,7 +9,7 @@ Require-Bundle: org.eclipse.core.runtime,
org.eclipse.mylyn.commons.core;bundle-version="[3.8.0,4.0.0)",
org.eclipse.mylyn.commons.net;bundle-version="[3.8.0,4.0.0)",
org.jdom;bundle-version="1.0.0"
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Export-Package: org.eclipse.mylyn.internal.oslc.core;x-friends:="org.eclipse.mylyn.oslc.ui",
org.eclipse.mylyn.internal.oslc.core.client;x-friends:="org.eclipse.mylyn.oslc.ui",
org.eclipse.mylyn.internal.oslc.core.cm;x-friends:="org.eclipse.mylyn.oslc.ui"

Back to the top